www.cendio.com
Bug 4781 - separate out GUI in tl-run-rdesktop
: separate out GUI in tl-run-rdesktop
Status: CLOSED FIXED
: ThinLinc
rdesktop
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-08-23 09:32 by
Modified: 2013-11-01 13:25 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-08-23 09:32:21
When we added a GUI to tl-run-rdesktop it unfortunately got a bit messy as the
GUI code is intermixed with the "normal" logic, and we also have to make sure
things work even the PyGTK is missing.

Things would probably be cleaner if we separate things like we do for
tl-run-xstartup.d.
------- Comment #1 From cendio 2013-08-28 16:04:10 -------
Fixed in r27811.

Tester should check that all tl-run-rdesktop magic still works. Also check that
the GUI is updated properly.
------- Comment #2 From cendio 2013-11-01 13:25:05 -------
I've tested this as part of all rdesktop bugs, and it seems to work well
enough.